branch.<name>.rebase::
When true, rebase the branch <name> on top of the fetched branch,
- instead of merging the default branch from the default remote.
+ instead of merging the default branch from the default remote when
+ "git pull" is run.
*NOTE*: this is a possibly dangerous operation; do *not* use
it unless you understand the implications (see linkgit:git-rebase[1]
for details).
is one of "ext" and "pserver") to make them apply only for the given
access method.
+gui.commitmsgwidth::
+ Defines how wide the commit message window is in the
+ linkgit:git-gui[1]. "75" is the default.
+
+gui.diffcontext::
+ Specifies how many context lines should be used in calls to diff
+ made by the linkgit:git-gui[1]. The default is "5".
+
+gui.matchtrackingbranch::
+ Determines if new branches created with linkgit:git-gui[1] should
+ default to tracking remote branches with matching names or
+ not. Default: "false".
+
+gui.newbranchtemplate::
+ Is used as suggested name when creating new branches using the
+ linkgit:git-gui[1].
+
+gui.pruneduringfetch::
+ "true" if linkgit:git-gui[1] should prune tracking branches when
+ performing a fetch. The default value is "false".
+
+gui.trustmtime::
+ Determines if linkgit:git-gui[1] should trust the file modification
+ timestamp or not. By default the timestamps are not trusted.
+
+gui.spellingdictionary::
+ Specifies the dictionary used for spell checking commit messages in
+ the linkgit:git-gui[1]. When set to "none" spell checking is turned
+ off.
+
help.browser::
Specify the browser that will be used to display help in the
'web' format. See linkgit:git-help[1].
Specify the programs that may be used to display help in the
'man' format. See linkgit:git-help[1].
-merge.summary::
- Whether to include summaries of merged commits in newly created
- merge commit messages. False by default.
-
-merge.tool::
- Controls which merge resolution program is used by
- linkgit:git-mergetool[1]. Valid built-in values are: "kdiff3",
- "tkdiff", "meld", "xxdiff", "emerge", "vimdiff", "gvimdiff", and
- "opendiff". Any other value is treated is custom merge tool
- and there must be a corresponing mergetool.<tool>.cmd option.
-
-merge.verbosity::
- Controls the amount of output shown by the recursive merge
- strategy. Level 0 outputs nothing except a final error
- message if conflicts were detected. Level 1 outputs only
- conflicts, 2 outputs conflicts and file changes. Level 5 and
- above outputs debugging information. The default is level 2.
- Can be overridden by 'GIT_MERGE_VERBOSITY' environment variable.
-
-merge.<driver>.name::
- Defines a human readable name for a custom low-level
- merge driver. See linkgit:gitattributes[5] for details.
-
-merge.<driver>.driver::
- Defines the command that implements a custom low-level
- merge driver. See linkgit:gitattributes[5] for details.
-
-merge.<driver>.recursive::
- Names a low-level merge driver to be used when
- performing an internal merge between common ancestors.
- See linkgit:gitattributes[5] for details.
+include::merge-config.txt[]
+
+man.<tool>.cmd::
+ Specify the command to invoke the specified man viewer. The
+ specified command is evaluated in shell with the man page
+ passed as argument. (See linkgit:git-help[1].)
+
+man.<tool>.path::
+ Override the path for the given tool that may be used to
+ display help in the 'man' format. See linkgit:git-help[1].
mergetool.<tool>.path::
Override the path for the given tool. This is useful in case
</dt>\r
<dd>\r
<p>\r
- Update only files that git already knows about. This is similar\r
+ Update only files that git already knows about, staging modified\r
+ content for commit and marking deleted files for removal. This\r
+ is similar\r
to what "git commit -a" does in preparation for making a commit,\r
except that the update is limited to paths specified on the\r
command line. If no paths are specified, all tracked files in the\r
</div>\r
<h2>EXAMPLES</h2>\r
<div class="sectionbody">\r
-<dl>\r
-<dt>\r
-git-add Documentation/\*.txt\r
-</dt>\r
-<dd>\r
+<ul>\r
+<li>\r
<p>\r
- Adds content from all <tt>*.txt</tt> files under <tt>Documentation</tt>\r
- directory and its subdirectories.\r
+Adds content from all <tt>*.txt</tt> files under <tt>Documentation</tt> directory\r
+and its subdirectories:\r
</p>\r
+<div class="listingblock">\r
+<div class="content">\r
+<pre><tt>$ git add Documentation/\\*.txt</tt></pre>\r
+</div></div>\r
<p>Note that the asterisk <tt>*</tt> is quoted from the shell in this\r
example; this lets the command to include the files from\r
subdirectories of <tt>Documentation/</tt> directory.</p>\r
-</dd>\r
-<dt>\r
-git-add git-*.sh\r
-</dt>\r
-<dd>\r
+</li>\r
+<li>\r
<p>\r
- Considers adding content from all git-*.sh scripts.\r
- Because this example lets shell expand the asterisk\r
- (i.e. you are listing the files explicitly), it does not\r
- consider <tt>subdir/git-foo.sh</tt>.\r
+Considers adding content from all git-*.sh scripts:\r
</p>\r
-</dd>\r
-</dl>\r
+<div class="listingblock">\r
+<div class="content">\r
+<pre><tt>$ git add git-*.sh</tt></pre>\r
+</div></div>\r
+<p>Because this example lets shell expand the asterisk (i.e. you are\r
+listing the files explicitly), it does not consider\r
+<tt>subdir/git-foo.sh</tt>.</p>\r
+</li>\r
+</ul>\r
</div>\r
<h2>Interactive mode</h2>\r
<div class="sectionbody">\r
</div>\r
<div id="footer">\r
<div id="footer-text">\r
-Last updated 02-Apr-2008 22:16:09 UTC\r
+Last updated 09-May-2008 05:45:35 UTC\r
</div>\r
</div>\r
</body>\r
the specified filepatterns before exiting.
-u::
- Update only files that git already knows about. This is similar
+ Update only files that git already knows about, staging modified
+ content for commit and marking deleted files for removal. This
+ is similar
to what "git commit -a" does in preparation for making a commit,
except that the update is limited to paths specified on the
command line. If no paths are specified, all tracked files in the
EXAMPLES
--------
-git-add Documentation/\\*.txt::
- Adds content from all `\*.txt` files under `Documentation`
- directory and its subdirectories.
+* Adds content from all `\*.txt` files under `Documentation` directory
+and its subdirectories:
++
+------------
+$ git add Documentation/\\*.txt
+------------
+
Note that the asterisk `\*` is quoted from the shell in this
example; this lets the command to include the files from
subdirectories of `Documentation/` directory.
-git-add git-*.sh::
-
- Considers adding content from all git-*.sh scripts.
- Because this example lets shell expand the asterisk
- (i.e. you are listing the files explicitly), it does not
- consider `subdir/git-foo.sh`.
+* Considers adding content from all git-*.sh scripts:
++
+------------
+$ git add git-*.sh
+------------
++
+Because this example lets shell expand the asterisk (i.e. you are
+listing the files explicitly), it does not consider
+`subdir/git-foo.sh`.
Interactive mode
----------------
the status of the real test to let "git bisect run" command loop to\r
know the outcome.</p>\r
</div>\r
+<h2>EXAMPLES</h2>\r
+<div class="sectionbody">\r
+<ul>\r
+<li>\r
+<p>\r
+Automatically bisect a broken build between v1.2 and HEAD:\r
+</p>\r
+<div class="listingblock">\r
+<div class="content">\r
+<pre><tt>$ git bisect start HEAD v1.2 -- # HEAD is bad, v1.2 is good\r
+$ git bisect run make # "make" builds the app</tt></pre>\r
+</div></div>\r
+</li>\r
+<li>\r
+<p>\r
+Automatically bisect a broken test suite:\r
+</p>\r
+<div class="listingblock">\r
+<div class="content">\r
+<pre><tt>$ cat ~/test.sh\r
+#!/bin/sh\r
+make || exit 125 # this "skip"s broken builds\r
+make test # "make test" runs the test suite\r
+$ git bisect start v1.3 v1.1 -- # v1.3 is bad, v1.1 is good\r
+$ git bisect run ~/test.sh</tt></pre>\r
+</div></div>\r
+<p>Here we use a "test.sh" custom script. In this script, if "make"\r
+fails, we "skip" the current commit.</p>\r
+<p>It's safer to use a custom script outside the repo to prevent\r
+interactions between the bisect, make and test processes and the\r
+script.</p>\r
+<p>And "make test" should "exit 0", if the test suite passes, and\r
+"exit 1" (for example) otherwise.</p>\r
+</li>\r
+<li>\r
+<p>\r
+Automatically bisect a broken test case:\r
+</p>\r
+<div class="listingblock">\r
+<div class="content">\r
+<pre><tt>$ cat ~/test.sh\r
+#!/bin/sh\r
+make || exit 125 # this "skip"s broken builds\r
+~/check_test_case.sh # does the test case passes ?\r
+$ git bisect start HEAD HEAD~10 -- # culprit is among the last 10\r
+$ git bisect run ~/test.sh</tt></pre>\r
+</div></div>\r
+<p>Here "check_test_case.sh" should "exit 0", if the test case passes,\r
+and "exit 1" (for example) otherwise.</p>\r
+<p>It's safer if both "test.sh" and "check_test_case.sh" scripts are\r
+outside the repo to prevent interactions between the bisect, make and\r
+test processes and the scripts.</p>\r
+</li>\r
+</ul>\r
+</div>\r
<h2>Author</h2>\r
<div class="sectionbody">\r
<p>Written by Linus Torvalds <torvalds@osdl.org></p>\r
</div>\r
<div id="footer">\r
<div id="footer-text">\r
-Last updated 12-Apr-2008 08:22:49 UTC\r
+Last updated 09-May-2008 05:45:35 UTC\r
</div>\r
</div>\r
</body>\r
the status of the real test to let "git bisect run" command loop to
know the outcome.
+EXAMPLES
+--------
+
+* Automatically bisect a broken build between v1.2 and HEAD:
++
+------------
+$ git bisect start HEAD v1.2 -- # HEAD is bad, v1.2 is good
+$ git bisect run make # "make" builds the app
+------------
+
+* Automatically bisect a broken test suite:
++
+------------
+$ cat ~/test.sh
+#!/bin/sh
+make || exit 125 # this "skip"s broken builds
+make test # "make test" runs the test suite
+$ git bisect start v1.3 v1.1 -- # v1.3 is bad, v1.1 is good
+$ git bisect run ~/test.sh
+------------
++
+Here we use a "test.sh" custom script. In this script, if "make"
+fails, we "skip" the current commit.
++
+It's safer to use a custom script outside the repo to prevent
+interactions between the bisect, make and test processes and the
+script.
++
+And "make test" should "exit 0", if the test suite passes, and
+"exit 1" (for example) otherwise.
+
+* Automatically bisect a broken test case:
++
+------------
+$ cat ~/test.sh
+#!/bin/sh
+make || exit 125 # this "skip"s broken builds
+~/check_test_case.sh # does the test case passes ?
+$ git bisect start HEAD HEAD~10 -- # culprit is among the last 10
+$ git bisect run ~/test.sh
+------------
++
+Here "check_test_case.sh" should "exit 0", if the test case passes,
+and "exit 1" (for example) otherwise.
++
+It's safer if both "test.sh" and "check_test_case.sh" scripts are
+outside the repo to prevent interactions between the bisect, make and
+test processes and the scripts.
+
Author
------
Written by Linus Torvalds <torvalds@osdl.org>
</div>\r
<h2>SYNOPSIS</h2>\r
<div class="sectionbody">\r
-<p><em>git-cherry-pick</em> [--edit] [-n] [-m parent-number] [-x] <commit></p>\r
+<p><em>git-cherry-pick</em> [--edit] [-n] [-m parent-number] [-s] [-x] <commit></p>\r
</div>\r
<h2>DESCRIPTION</h2>\r
<div class="sectionbody">\r
<p>This is useful when cherry-picking more than one commits'\r
effect to your working tree in a row.</p>\r
</dd>\r
+<dt>\r
+-s|--signoff\r
+</dt>\r
+<dd>\r
+<p>\r
+ Add Signed-off-by line at the end of the commit message.\r
+</p>\r
+</dd>\r
</dl>\r
</div>\r
<h2>Author</h2>\r
</div>\r
<div id="footer">\r
<div id="footer-text">\r
-Last updated 01-Mar-2008 18:41:39 UTC\r
+Last updated 09-May-2008 05:45:36 UTC\r
</div>\r
</div>\r
</body>\r
SYNOPSIS
--------
-'git-cherry-pick' [--edit] [-n] [-m parent-number] [-x] <commit>
+'git-cherry-pick' [--edit] [-n] [-m parent-number] [-s] [-x] <commit>
DESCRIPTION
-----------
This is useful when cherry-picking more than one commits'
effect to your working tree in a row.
+-s|--signoff::
+ Add Signed-off-by line at the end of the commit message.
+
Author
------
<dd>\r
<p>\r
When true, rebase the branch <name> on top of the fetched branch,\r
- instead of merging the default branch from the default remote.\r
+ instead of merging the default branch from the default remote when\r
+ "git pull" is run.\r
<strong>NOTE</strong>: this is a possibly dangerous operation; do <strong>not</strong> use\r
it unless you understand the implications (see <a href="git-rebase.html">git-rebase(1)</a>\r
for details).\r
access method.</p>\r
<dl>\r
<dt>\r
+gui.commitmsgwidth\r
+</dt>\r
+<dd>\r
+<p>\r
+ Defines how wide the commit message window is in the\r
+ <a href="git-gui.html">git-gui(1)</a>. "75" is the default.\r
+</p>\r
+</dd>\r
+<dt>\r
+gui.diffcontext\r
+</dt>\r
+<dd>\r
+<p>\r
+ Specifies how many context lines should be used in calls to diff\r
+ made by the <a href="git-gui.html">git-gui(1)</a>. The default is "5".\r
+</p>\r
+</dd>\r
+<dt>\r
+gui.matchtrackingbranch\r
+</dt>\r
+<dd>\r
+<p>\r
+ Determines if new branches created with <a href="git-gui.html">git-gui(1)</a> should\r
+ default to tracking remote branches with matching names or\r
+ not. Default: "false".\r
+</p>\r
+</dd>\r
+<dt>\r
+gui.newbranchtemplate\r
+</dt>\r
+<dd>\r
+<p>\r
+ Is used as suggested name when creating new branches using the\r
+ <a href="git-gui.html">git-gui(1)</a>.\r
+</p>\r
+</dd>\r
+<dt>\r
+gui.pruneduringfetch\r
+</dt>\r
+<dd>\r
+<p>\r
+ "true" if <a href="git-gui.html">git-gui(1)</a> should prune tracking branches when\r
+ performing a fetch. The default value is "false".\r
+</p>\r
+</dd>\r
+<dt>\r
+gui.trustmtime\r
+</dt>\r
+<dd>\r
+<p>\r
+ Determines if <a href="git-gui.html">git-gui(1)</a> should trust the file modification\r
+ timestamp or not. By default the timestamps are not trusted.\r
+</p>\r
+</dd>\r
+<dt>\r
+gui.spellingdictionary\r
+</dt>\r
+<dd>\r
+<p>\r
+ Specifies the dictionary used for spell checking commit messages in\r
+ the <a href="git-gui.html">git-gui(1)</a>. When set to "none" spell checking is turned\r
+ off.\r
+</p>\r
+</dd>\r
+<dt>\r
help.browser\r
</dt>\r
<dd>\r
</p>\r
</dd>\r
<dt>\r
-merge.summary\r
+merge.stat\r
+</dt>\r
+<dd>\r
+<p>\r
+ Whether to print the diffstat berween ORIG_HEAD and merge result\r
+ at the end of the merge. True by default.\r
+</p>\r
+</dd>\r
+<dt>\r
+merge.log\r
</dt>\r
<dd>\r
<p>\r
</p>\r
</dd>\r
<dt>\r
+man.<tool>.cmd\r
+</dt>\r
+<dd>\r
+<p>\r
+ Specify the command to invoke the specified man viewer. The\r
+ specified command is evaluated in shell with the man page\r
+ passed as argument. (See <a href="git-help.html">git-help(1)</a>.)\r
+</p>\r
+</dd>\r
+<dt>\r
+man.<tool>.path\r
+</dt>\r
+<dd>\r
+<p>\r
+ Override the path for the given tool that may be used to\r
+ display help in the <em>man</em> format. See <a href="git-help.html">git-help(1)</a>.\r
+</p>\r
+</dd>\r
+<dt>\r
mergetool.<tool>.path\r
</dt>\r
<dd>\r
</div>\r
<div id="footer">\r
<div id="footer-text">\r
-Last updated 06-May-2008 06:34:57 UTC\r
+Last updated 09-May-2008 05:45:36 UTC\r
</div>\r
</div>\r
</body>\r
<h2>SYNOPSIS</h2>\r
<div class="sectionbody">\r
<div class="verseblock">\r
-<div class="content">git-fmt-merge-msg [--summary | --no-summary] <$GIT_DIR/FETCH_HEAD\r
-git-fmt-merge-msg [--summary | --no-summary] -F <file></div></div>\r
+<div class="content">git-fmt-merge-msg [--log | --no-log] <$GIT_DIR/FETCH_HEAD\r
+git-fmt-merge-msg [--log | --no-log] -F <file></div></div>\r
</div>\r
<h2>DESCRIPTION</h2>\r
<div class="sectionbody">\r
<div class="sectionbody">\r
<dl>\r
<dt>\r
---summary\r
+--log\r
</dt>\r
<dd>\r
<p>\r
</p>\r
</dd>\r
<dt>\r
---no-summary\r
+--no-log\r
</dt>\r
<dd>\r
<p>\r
</p>\r
</dd>\r
<dt>\r
+--summary,--no-summary\r
+</dt>\r
+<dd>\r
+<p>\r
+ Synonyms to --log and --no-log; these are deprecated and will be\r
+ removed in the future.\r
+</p>\r
+</dd>\r
+<dt>\r
--file <file>, -F <file>\r
</dt>\r
<dd>\r
<div class="sectionbody">\r
<dl>\r
<dt>\r
-merge.summary\r
+merge.log\r
</dt>\r
<dd>\r
<p>\r
merge commit messages. False by default.\r
</p>\r
</dd>\r
+<dt>\r
+merge.summary\r
+</dt>\r
+<dd>\r
+<p>\r
+ Synonym to <tt>merge.log</tt>; this is deprecated and will be removed in\r
+ the future.\r
+</p>\r
+</dd>\r
</dl>\r
</div>\r
<h2>SEE ALSO</h2>\r
</div>\r
<div id="footer">\r
<div id="footer-text">\r
-Last updated 07-Jan-2008 07:50:21 UTC\r
+Last updated 09-May-2008 05:45:36 UTC\r
</div>\r
</div>\r
</body>\r
SYNOPSIS
--------
[verse]
-git-fmt-merge-msg [--summary | --no-summary] <$GIT_DIR/FETCH_HEAD
-git-fmt-merge-msg [--summary | --no-summary] -F <file>
+git-fmt-merge-msg [--log | --no-log] <$GIT_DIR/FETCH_HEAD
+git-fmt-merge-msg [--log | --no-log] -F <file>
DESCRIPTION
-----------
OPTIONS
-------
---summary::
+--log::
In addition to branch names, populate the log message with
one-line descriptions from the actual commits that are being
merged.
---no-summary::
+--no-log::
Do not list one-line descriptions from the actual commits being
merged.
+--summary,--no-summary::
+ Synonyms to --log and --no-log; these are deprecated and will be
+ removed in the future.
+
--file <file>, -F <file>::
Take the list of merged objects from <file> instead of
stdin.
CONFIGURATION
-------------
-merge.summary::
+merge.log::
Whether to include summaries of merged commits in newly
merge commit messages. False by default.
+merge.summary::
+ Synonym to `merge.log`; this is deprecated and will be removed in
+ the future.
+
SEE ALSO
--------
linkgit:git-merge[1]
</div>\r
<h2>EXAMPLES</h2>\r
<div class="sectionbody">\r
-<dl>\r
-<dt>\r
-git-format-patch -k --stdout R1..R2 | git-am -3 -k\r
-</dt>\r
-<dd>\r
+<ul>\r
+<li>\r
<p>\r
- Extract commits between revisions R1 and R2, and apply\r
- them on top of the current branch using <tt>git-am</tt> to\r
- cherry-pick them.\r
+Extract commits between revisions R1 and R2, and apply them on top of\r
+the current branch using <tt>git-am</tt> to cherry-pick them:\r
</p>\r
-</dd>\r
-<dt>\r
-git-format-patch origin\r
-</dt>\r
-<dd>\r
+<div class="listingblock">\r
+<div class="content">\r
+<pre><tt>$ git format-patch -k --stdout R1..R2 | git-am -3 -k</tt></pre>\r
+</div></div>\r
+</li>\r
+<li>\r
<p>\r
- Extract all commits which are in the current branch but\r
- not in the origin branch. For each commit a separate file\r
- is created in the current directory.\r
+Extract all commits which are in the current branch but not in the\r
+origin branch:\r
</p>\r
-</dd>\r
-<dt>\r
-git-format-patch --root origin\r
-</dt>\r
-<dd>\r
+<div class="listingblock">\r
+<div class="content">\r
+<pre><tt>$ git format-patch origin</tt></pre>\r
+</div></div>\r
+<p>For each commit a separate file is created in the current directory.</p>\r
+</li>\r
+<li>\r
<p>\r
- Extract all commits that lead to <em>origin</em> since the\r
- inception of the project.\r
+Extract all commits that lead to <em>origin</em> since the inception of the\r
+project:\r
</p>\r
-</dd>\r
-<dt>\r
-git-format-patch -M -B origin\r
-</dt>\r
-<dd>\r
+<div class="listingblock">\r
+<div class="content">\r
+<pre><tt>$ git format-patch \--root origin</tt></pre>\r
+</div></div>\r
+</li>\r
+<li>\r
<p>\r
- The same as the previous one. Additionally, it detects\r
- and handles renames and complete rewrites intelligently to\r
- produce a renaming patch. A renaming patch reduces the\r
- amount of text output, and generally makes it easier to\r
- review it. Note that the "patch" program does not\r
- understand renaming patches, so use it only when you know\r
- the recipient uses git to apply your patch.\r
+The same as the previous one:\r
</p>\r
-</dd>\r
-<dt>\r
-git-format-patch -3\r
-</dt>\r
-<dd>\r
+<div class="listingblock">\r
+<div class="content">\r
+<pre><tt>$ git format-patch -M -B origin</tt></pre>\r
+</div></div>\r
+<p>Additionally, it detects and handles renames and complete rewrites\r
+intelligently to produce a renaming patch. A renaming patch reduces\r
+the amount of text output, and generally makes it easier to review it.\r
+Note that the "patch" program does not understand renaming patches, so\r
+use it only when you know the recipient uses git to apply your patch.</p>\r
+</li>\r
+<li>\r
<p>\r
- Extract three topmost commits from the current branch\r
- and format them as e-mailable patches.\r
+Extract three topmost commits from the current branch and format them\r
+as e-mailable patches:\r
</p>\r
-</dd>\r
-</dl>\r
+<div class="listingblock">\r
+<div class="content">\r
+<pre><tt>$ git format-patch -3</tt></pre>\r
+</div></div>\r
+</li>\r
+</ul>\r
</div>\r
<h2>See Also</h2>\r
<div class="sectionbody">\r
</div>\r
<div id="footer">\r
<div id="footer-text">\r
-Last updated 23-Apr-2008 16:08:36 UTC\r
+Last updated 09-May-2008 05:45:37 UTC\r
</div>\r
</div>\r
</body>\r
EXAMPLES
--------
-git-format-patch -k --stdout R1..R2 | git-am -3 -k::
- Extract commits between revisions R1 and R2, and apply
- them on top of the current branch using `git-am` to
- cherry-pick them.
-
-git-format-patch origin::
- Extract all commits which are in the current branch but
- not in the origin branch. For each commit a separate file
- is created in the current directory.
-
-git-format-patch \--root origin::
- Extract all commits that lead to 'origin' since the
- inception of the project.
-
-git-format-patch -M -B origin::
- The same as the previous one. Additionally, it detects
- and handles renames and complete rewrites intelligently to
- produce a renaming patch. A renaming patch reduces the
- amount of text output, and generally makes it easier to
- review it. Note that the "patch" program does not
- understand renaming patches, so use it only when you know
- the recipient uses git to apply your patch.
-
-git-format-patch -3::
- Extract three topmost commits from the current branch
- and format them as e-mailable patches.
+* Extract commits between revisions R1 and R2, and apply them on top of
+the current branch using `git-am` to cherry-pick them:
++
+------------
+$ git format-patch -k --stdout R1..R2 | git-am -3 -k
+------------
+
+* Extract all commits which are in the current branch but not in the
+origin branch:
++
+------------
+$ git format-patch origin
+------------
++
+For each commit a separate file is created in the current directory.
+
+* Extract all commits that lead to 'origin' since the inception of the
+project:
++
+------------
+$ git format-patch \--root origin
+------------
+
+* The same as the previous one:
++
+------------
+$ git format-patch -M -B origin
+------------
++
+Additionally, it detects and handles renames and complete rewrites
+intelligently to produce a renaming patch. A renaming patch reduces
+the amount of text output, and generally makes it easier to review it.
+Note that the "patch" program does not understand renaming patches, so
+use it only when you know the recipient uses git to apply your patch.
+
+* Extract three topmost commits from the current branch and format them
+as e-mailable patches:
++
+------------
+$ git format-patch -3
+------------
See Also
--------
section above and <a href="git-web--browse.html">git-web--browse(1)</a>.</p>\r
<h3>man.viewer</h3>\r
<p>The <em>man.viewer</em> config variable will be checked if the <em>man</em> format\r
-is chosen. Only the following values are currently supported:</p>\r
+is chosen. The following values are currently supported:</p>\r
<ul>\r
<li>\r
<p>\r
</li>\r
<li>\r
<p>\r
-"konqueror": use a man KIO slave in konqueror.\r
+"konqueror": use <em>kfmclient</em> to open the man page in a new konqueror\r
+tab (see <em>Note about konqueror</em> below).\r
</p>\r
</li>\r
</ul>\r
-<p>Multiple values may be given to this configuration variable. Their\r
-corresponding programs will be tried in the order listed in the\r
-configuration file.</p>\r
+<p>Values for other tools can be used if there is a corresponding\r
+<em>man.<tool>.cmd</em> configuration entry (see below).</p>\r
+<p>Multiple values may be given to the <em>man.viewer</em> configuration\r
+variable. Their corresponding programs will be tried in the order\r
+listed in the configuration file.</p>\r
<p>For example, this configuration:</p>\r
-<div class="literalblock">\r
+<div class="listingblock">\r
<div class="content">\r
-<pre><tt>[man]\r
- viewer = konqueror\r
- viewer = woman</tt></pre>\r
+<pre><tt> [man]\r
+ viewer = konqueror\r
+ viewer = woman</tt></pre>\r
</div></div>\r
<p>will try to use konqueror first. But this may fail (for example if\r
DISPLAY is not set) and in that case emacs' woman mode will be tried.</p>\r
<p>If everything fails the <em>man</em> program will be tried anyway.</p>\r
+<h3>man.<tool>.path</h3>\r
+<p>You can explicitly provide a full path to your preferred man viewer by\r
+setting the configuration variable <em>man.<tool>.path</em>. For example, you\r
+can configure the absolute path to konqueror by setting\r
+<em>man.konqueror.path</em>. Otherwise, <em>git help</em> assumes the tool is\r
+available in PATH.</p>\r
+<h3>man.<tool>.cmd</h3>\r
+<p>When the man viewer, specified by the <em>man.viewer</em> configuration\r
+variables, is not among the supported ones, then the corresponding\r
+<em>man.<tool>.cmd</em> configuration variable will be looked up. If this\r
+variable exists then the specified tool will be treated as a custom\r
+command and a shell eval will be used to run the command with the man\r
+page passed as arguments.</p>\r
+<h3>Note about konqueror</h3>\r
+<p>When <em>konqueror</em> is specified in the <em>man.viewer</em> configuration\r
+variable, we launch <em>kfmclient</em> to try to open the man page on an\r
+already opened konqueror in a new tab if possible.</p>\r
+<p>For consistency, we also try such a trick if <em>man.konqueror.path</em> is\r
+set to something like <em>A_PATH_TO/konqueror</em>. That means we will try to\r
+launch <em>A_PATH_TO/kfmclient</em> instead.</p>\r
+<p>If you really want to use <em>konqueror</em>, then you can use something like\r
+the following:</p>\r
+<div class="listingblock">\r
+<div class="content">\r
+<pre><tt> [man]\r
+ viewer = konq\r
+\r
+ [man "konq"]\r
+ cmd = A_PATH_TO/konqueror</tt></pre>\r
+</div></div>\r
<h3>Note about git config --global</h3>\r
<p>Note that all these configuration variables should probably be set\r
using the <em>--global</em> flag, for example like this:</p>\r
</div>\r
<div id="footer">\r
<div id="footer-text">\r
-Last updated 15-Mar-2008 09:48:17 UTC\r
+Last updated 09-May-2008 05:45:38 UTC\r
</div>\r
</div>\r
</body>\r
~~~~~~~~~~
The 'man.viewer' config variable will be checked if the 'man' format
-is chosen. Only the following values are currently supported:
+is chosen. The following values are currently supported:
* "man": use the 'man' program as usual,
* "woman": use 'emacsclient' to launch the "woman" mode in emacs
(this only works starting with emacsclient versions 22),
-* "konqueror": use a man KIO slave in konqueror.
+* "konqueror": use 'kfmclient' to open the man page in a new konqueror
+tab (see 'Note about konqueror' below).
-Multiple values may be given to this configuration variable. Their
-corresponding programs will be tried in the order listed in the
-configuration file.
+Values for other tools can be used if there is a corresponding
+'man.<tool>.cmd' configuration entry (see below).
+
+Multiple values may be given to the 'man.viewer' configuration
+variable. Their corresponding programs will be tried in the order
+listed in the configuration file.
For example, this configuration:
+------------------------------------------------
[man]
viewer = konqueror
viewer = woman
+------------------------------------------------
will try to use konqueror first. But this may fail (for example if
DISPLAY is not set) and in that case emacs' woman mode will be tried.
If everything fails the 'man' program will be tried anyway.
+man.<tool>.path
+~~~~~~~~~~~~~~~
+
+You can explicitly provide a full path to your preferred man viewer by
+setting the configuration variable 'man.<tool>.path'. For example, you
+can configure the absolute path to konqueror by setting
+'man.konqueror.path'. Otherwise, 'git help' assumes the tool is
+available in PATH.
+
+man.<tool>.cmd
+~~~~~~~~~~~~~~
+
+When the man viewer, specified by the 'man.viewer' configuration
+variables, is not among the supported ones, then the corresponding
+'man.<tool>.cmd' configuration variable will be looked up. If this
+variable exists then the specified tool will be treated as a custom
+command and a shell eval will be used to run the command with the man
+page passed as arguments.
+
+Note about konqueror
+~~~~~~~~~~~~~~~~~~~~
+
+When 'konqueror' is specified in the 'man.viewer' configuration
+variable, we launch 'kfmclient' to try to open the man page on an
+already opened konqueror in a new tab if possible.
+
+For consistency, we also try such a trick if 'man.konqueror.path' is
+set to something like 'A_PATH_TO/konqueror'. That means we will try to
+launch 'A_PATH_TO/kfmclient' instead.
+
+If you really want to use 'konqueror', then you can use something like
+the following:
+
+------------------------------------------------
+ [man]
+ viewer = konq
+
+ [man "konq"]
+ cmd = A_PATH_TO/konqueror
+------------------------------------------------
+
Note about git config --global
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
<h2>SYNOPSIS</h2>\r
<div class="sectionbody">\r
<div class="verseblock">\r
-<div class="content"><em>git-merge</em> [-n] [--summary] [--no-commit] [--squash] [-s <strategy>]…\r
+<div class="content"><em>git-merge</em> [-n] [--stat] [--no-commit] [--squash] [-s <strategy>]…\r
[-m <msg>] <remote> <remote>…\r
<em>git-merge</em> <msg> HEAD <remote>…</div></div>\r
</div>\r
<div class="sectionbody">\r
<dl>\r
<dt>\r
---summary\r
+--stat\r
</dt>\r
<dd>\r
<p>\r
Show a diffstat at the end of the merge. The diffstat is also\r
- controlled by the configuration option merge.diffstat.\r
+ controlled by the configuration option merge.stat.\r
</p>\r
</dd>\r
<dt>\r
--n, --no-summary\r
+-n, --no-stat\r
</dt>\r
<dd>\r
<p>\r
</p>\r
</dd>\r
<dt>\r
+--summary, --no-summary\r
+</dt>\r
+<dd>\r
+<p>\r
+ Synonyms to --stat and --no-stat; these are deprecated and will be\r
+ removed in the future.\r
+</p>\r
+</dd>\r
+<dt>\r
+--log\r
+</dt>\r
+<dd>\r
+<p>\r
+ In addition to branch names, populate the log message with\r
+ one-line descriptions from the actual commits that are being\r
+ merged.\r
+</p>\r
+</dd>\r
+<dt>\r
+--no-log\r
+</dt>\r
+<dd>\r
+<p>\r
+ Do not list one-line descriptions from the actual commits being\r
+ merged.\r
+</p>\r
+</dd>\r
+<dt>\r
--no-commit\r
</dt>\r
<dd>\r
<div class="sectionbody">\r
<dl>\r
<dt>\r
-merge.summary\r
+merge.stat\r
+</dt>\r
+<dd>\r
+<p>\r
+ Whether to print the diffstat berween ORIG_HEAD and merge result\r
+ at the end of the merge. True by default.\r
+</p>\r
+</dd>\r
+<dt>\r
+merge.log\r
</dt>\r
<dd>\r
<p>\r
- Whether to include summaries of merged commits in newly\r
- created merge commit. False by default.\r
+ Whether to include summaries of merged commits in newly created\r
+ merge commit messages. False by default.\r
+</p>\r
+</dd>\r
+<dt>\r
+merge.tool\r
+</dt>\r
+<dd>\r
+<p>\r
+ Controls which merge resolution program is used by\r
+ <a href="git-mergetool.html">git-mergetool(1)</a>. Valid built-in values are: "kdiff3",\r
+ "tkdiff", "meld", "xxdiff", "emerge", "vimdiff", "gvimdiff", and\r
+ "opendiff". Any other value is treated is custom merge tool\r
+ and there must be a corresponing mergetool.<tool>.cmd option.\r
</p>\r
</dd>\r
<dt>\r
</p>\r
</dd>\r
<dt>\r
+merge.<driver>.name\r
+</dt>\r
+<dd>\r
+<p>\r
+ Defines a human readable name for a custom low-level\r
+ merge driver. See <a href="gitattributes.html">gitattributes(5)</a> for details.\r
+</p>\r
+</dd>\r
+<dt>\r
+merge.<driver>.driver\r
+</dt>\r
+<dd>\r
+<p>\r
+ Defines the command that implements a custom low-level\r
+ merge driver. See <a href="gitattributes.html">gitattributes(5)</a> for details.\r
+</p>\r
+</dd>\r
+<dt>\r
+merge.<driver>.recursive\r
+</dt>\r
+<dd>\r
+<p>\r
+ Names a low-level merge driver to be used when\r
+ performing an internal merge between common ancestors.\r
+ See <a href="gitattributes.html">gitattributes(5)</a> for details.\r
+</p>\r
+</dd>\r
+<dt>\r
branch.<name>.mergeoptions\r
</dt>\r
<dd>\r
</div>\r
<div id="footer">\r
<div id="footer-text">\r
-Last updated 19-Mar-2008 09:24:07 UTC\r
+Last updated 09-May-2008 05:45:38 UTC\r
</div>\r
</div>\r
</body>\r
SYNOPSIS
--------
[verse]
-'git-merge' [-n] [--summary] [--no-commit] [--squash] [-s <strategy>]...
+'git-merge' [-n] [--stat] [--no-commit] [--squash] [-s <strategy>]...
[-m <msg>] <remote> <remote>...
'git-merge' <msg> HEAD <remote>...
CONFIGURATION
-------------
-
-merge.summary::
- Whether to include summaries of merged commits in newly
- created merge commit. False by default.
-
-merge.verbosity::
- Controls the amount of output shown by the recursive merge
- strategy. Level 0 outputs nothing except a final error
- message if conflicts were detected. Level 1 outputs only
- conflicts, 2 outputs conflicts and file changes. Level 5 and
- above outputs debugging information. The default is level 2.
- Can be overridden by 'GIT_MERGE_VERBOSITY' environment variable.
+include::merge-config.txt[]
branch.<name>.mergeoptions::
Sets default options for merging into branch <name>. The syntax and
<div class="sectionbody">\r
<dl>\r
<dt>\r
---summary\r
+--stat\r
</dt>\r
<dd>\r
<p>\r
Show a diffstat at the end of the merge. The diffstat is also\r
- controlled by the configuration option merge.diffstat.\r
+ controlled by the configuration option merge.stat.\r
</p>\r
</dd>\r
<dt>\r
--n, --no-summary\r
+-n, --no-stat\r
</dt>\r
<dd>\r
<p>\r
</p>\r
</dd>\r
<dt>\r
+--summary, --no-summary\r
+</dt>\r
+<dd>\r
+<p>\r
+ Synonyms to --stat and --no-stat; these are deprecated and will be\r
+ removed in the future.\r
+</p>\r
+</dd>\r
+<dt>\r
+--log\r
+</dt>\r
+<dd>\r
+<p>\r
+ In addition to branch names, populate the log message with\r
+ one-line descriptions from the actual commits that are being\r
+ merged.\r
+</p>\r
+</dd>\r
+<dt>\r
+--no-log\r
+</dt>\r
+<dd>\r
+<p>\r
+ Do not list one-line descriptions from the actual commits being\r
+ merged.\r
+</p>\r
+</dd>\r
+<dt>\r
--no-commit\r
</dt>\r
<dd>\r
</div>\r
<h2>EXAMPLES</h2>\r
<div class="sectionbody">\r
-<dl>\r
-<dt>\r
-git pull, git pull origin\r
-</dt>\r
-<dd>\r
+<ul>\r
+<li>\r
<p>\r
- Update the remote-tracking branches for the repository\r
- you cloned from, then merge one of them into your\r
- current branch. Normally the branch merged in is\r
- the HEAD of the remote repository, but the choice is\r
- determined by the branch.<name>.remote and\r
- branch.<name>.merge options; see <a href="git-config.html">git-config(1)</a>\r
- for details.\r
+Update the remote-tracking branches for the repository\r
+ you cloned from, then merge one of them into your\r
+ current branch:\r
</p>\r
-</dd>\r
-<dt>\r
-git pull origin next\r
-</dt>\r
-<dd>\r
+<div class="listingblock">\r
+<div class="content">\r
+<pre><tt>$ git pull, git pull origin</tt></pre>\r
+</div></div>\r
+<p>Normally the branch merged in is the HEAD of the remote repository,\r
+but the choice is determined by the branch.<name>.remote and\r
+branch.<name>.merge options; see <a href="git-config.html">git-config(1)</a> for details.</p>\r
+</li>\r
+<li>\r
<p>\r
- Merge into the current branch the remote branch <tt>next</tt>;\r
- leaves a copy of <tt>next</tt> temporarily in FETCH_HEAD, but\r
- does not update any remote-tracking branches.\r
+Merge into the current branch the remote branch <tt>next</tt>:\r
</p>\r
-</dd>\r
-<dt>\r
-git pull . fixes enhancements\r
-</dt>\r
-<dd>\r
+<div class="listingblock">\r
+<div class="content">\r
+<pre><tt>$ git pull origin next</tt></pre>\r
+</div></div>\r
+<p>This leaves a copy of <tt>next</tt> temporarily in FETCH_HEAD, but\r
+does not update any remote-tracking branches.</p>\r
+</li>\r
+<li>\r
<p>\r
- Bundle local branch <tt>fixes</tt> and <tt>enhancements</tt> on top of\r
- the current branch, making an Octopus merge. This <tt>git pull .</tt>\r
- syntax is equivalent to <tt>git merge</tt>.\r
+Bundle local branch <tt>fixes</tt> and <tt>enhancements</tt> on top of\r
+ the current branch, making an Octopus merge:\r
</p>\r
-</dd>\r
-<dt>\r
-git pull -s ours . obsolete\r
-</dt>\r
-<dd>\r
+<div class="listingblock">\r
+<div class="content">\r
+<pre><tt>$ git pull . fixes enhancements</tt></pre>\r
+</div></div>\r
+<p>This <tt>git pull .</tt> syntax is equivalent to <tt>git merge</tt>.</p>\r
+</li>\r
+<li>\r
<p>\r
- Merge local branch <tt>obsolete</tt> into the current branch,\r
- using <tt>ours</tt> merge strategy.\r
+Merge local branch <tt>obsolete</tt> into the current branch, using <tt>ours</tt>\r
+ merge strategy:\r
</p>\r
-</dd>\r
-<dt>\r
-git pull --no-commit . maint\r
-</dt>\r
-<dd>\r
+<div class="listingblock">\r
+<div class="content">\r
+<pre><tt>$ git pull -s ours . obsolete</tt></pre>\r
+</div></div>\r
+</li>\r
+<li>\r
<p>\r
- Merge local branch <tt>maint</tt> into the current branch, but\r
- do not make a commit automatically. This can be used\r
- when you want to include further changes to the merge,\r
- or want to write your own merge commit message.\r
+Merge local branch <tt>maint</tt> into the current branch, but do not make\r
+ a commit automatically:\r
</p>\r
+<div class="listingblock">\r
+<div class="content">\r
+<pre><tt>$ git pull --no-commit . maint</tt></pre>\r
+</div></div>\r
+<p>This can be used when you want to include further changes to the\r
+merge, or want to write your own merge commit message.</p>\r
<p>You should refrain from abusing this option to sneak substantial\r
changes into a merge commit. Small fixups like bumping\r
release/version name would be acceptable.</p>\r
-</dd>\r
-<dt>\r
-Command line pull of multiple branches from one repository\r
-</dt>\r
-<dd>\r
+</li>\r
+<li>\r
+<p>\r
+Command line pull of multiple branches from one repository:\r
+</p>\r
<div class="listingblock">\r
<div class="content">\r
<pre><tt>$ git checkout master\r
$ git fetch origin +pu:pu maint:tmp\r
$ git pull . tmp</tt></pre>\r
</div></div>\r
-<p>This updates (or creates, as necessary) branches <tt>pu</tt> and <tt>tmp</tt>\r
-in the local repository by fetching from the branches\r
-(respectively) <tt>pu</tt> and <tt>maint</tt> from the remote repository.</p>\r
-<p>The <tt>pu</tt> branch will be updated even if it is does not\r
-fast-forward; the others will not be.</p>\r
+<p>This updates (or creates, as necessary) branches <tt>pu</tt> and <tt>tmp</tt> in\r
+the local repository by fetching from the branches (respectively)\r
+<tt>pu</tt> and <tt>maint</tt> from the remote repository.</p>\r
+<p>The <tt>pu</tt> branch will be updated even if it is does not fast-forward;\r
+the others will not be.</p>\r
<p>The final command then merges the newly fetched <tt>tmp</tt> into master.</p>\r
-</dd>\r
-</dl>\r
+</li>\r
+</ul>\r
<p>If you tried a pull which resulted in a complex conflicts and\r
would want to start over, you can recover with\r
<a href="git-reset.html">git-reset(1)</a>.</p>\r
</div>\r
<div id="footer">\r
<div id="footer-text">\r
-Last updated 19-Mar-2008 09:24:07 UTC\r
+Last updated 09-May-2008 05:45:38 UTC\r
</div>\r
</div>\r
</body>\r
EXAMPLES
--------
-git pull, git pull origin::
- Update the remote-tracking branches for the repository
- you cloned from, then merge one of them into your
- current branch. Normally the branch merged in is
- the HEAD of the remote repository, but the choice is
- determined by the branch.<name>.remote and
- branch.<name>.merge options; see linkgit:git-config[1]
- for details.
-
-git pull origin next::
- Merge into the current branch the remote branch `next`;
- leaves a copy of `next` temporarily in FETCH_HEAD, but
- does not update any remote-tracking branches.
-
-git pull . fixes enhancements::
- Bundle local branch `fixes` and `enhancements` on top of
- the current branch, making an Octopus merge. This `git pull .`
- syntax is equivalent to `git merge`.
-
-git pull -s ours . obsolete::
- Merge local branch `obsolete` into the current branch,
- using `ours` merge strategy.
-
-git pull --no-commit . maint::
- Merge local branch `maint` into the current branch, but
- do not make a commit automatically. This can be used
- when you want to include further changes to the merge,
- or want to write your own merge commit message.
+* Update the remote-tracking branches for the repository
+ you cloned from, then merge one of them into your
+ current branch:
++
+------------------------------------------------
+$ git pull, git pull origin
+------------------------------------------------
++
+Normally the branch merged in is the HEAD of the remote repository,
+but the choice is determined by the branch.<name>.remote and
+branch.<name>.merge options; see linkgit:git-config[1] for details.
+
+* Merge into the current branch the remote branch `next`:
++
+------------------------------------------------
+$ git pull origin next
+------------------------------------------------
++
+This leaves a copy of `next` temporarily in FETCH_HEAD, but
+does not update any remote-tracking branches.
+
+* Bundle local branch `fixes` and `enhancements` on top of
+ the current branch, making an Octopus merge:
++
+------------------------------------------------
+$ git pull . fixes enhancements
+------------------------------------------------
++
+This `git pull .` syntax is equivalent to `git merge`.
+
+* Merge local branch `obsolete` into the current branch, using `ours`
+ merge strategy:
++
+------------------------------------------------
+$ git pull -s ours . obsolete
+------------------------------------------------
+
+* Merge local branch `maint` into the current branch, but do not make
+ a commit automatically:
++
+------------------------------------------------
+$ git pull --no-commit . maint
+------------------------------------------------
++
+This can be used when you want to include further changes to the
+merge, or want to write your own merge commit message.
+
You should refrain from abusing this option to sneak substantial
changes into a merge commit. Small fixups like bumping
release/version name would be acceptable.
-Command line pull of multiple branches from one repository::
+* Command line pull of multiple branches from one repository:
+
------------------------------------------------
$ git checkout master
$ git pull . tmp
------------------------------------------------
+
-This updates (or creates, as necessary) branches `pu` and `tmp`
-in the local repository by fetching from the branches
-(respectively) `pu` and `maint` from the remote repository.
+This updates (or creates, as necessary) branches `pu` and `tmp` in
+the local repository by fetching from the branches (respectively)
+`pu` and `maint` from the remote repository.
+
-The `pu` branch will be updated even if it is does not
-fast-forward; the others will not be.
+The `pu` branch will be updated even if it is does not fast-forward;
+the others will not be.
+
The final command then merges the newly fetched `tmp` into master.
</div>\r
<h2>SYNOPSIS</h2>\r
<div class="sectionbody">\r
-<p><em>git-revert</em> [--edit | --no-edit] [-n] [-m parent-number] <commit></p>\r
+<p><em>git-revert</em> [--edit | --no-edit] [-n] [-m parent-number] [-s] <commit></p>\r
</div>\r
<h2>DESCRIPTION</h2>\r
<div class="sectionbody">\r
<p>This is useful when reverting more than one commits'\r
effect to your working tree in a row.</p>\r
</dd>\r
+<dt>\r
+-s|--signoff\r
+</dt>\r
+<dd>\r
+<p>\r
+ Add Signed-off-by line at the end of the commit message.\r
+</p>\r
+</dd>\r
</dl>\r
</div>\r
<h2>Author</h2>\r
</div>\r
<div id="footer">\r
<div id="footer-text">\r
-Last updated 21-Jan-2008 02:37:25 UTC\r
+Last updated 09-May-2008 05:45:39 UTC\r
</div>\r
</div>\r
</body>\r
SYNOPSIS
--------
-'git-revert' [--edit | --no-edit] [-n] [-m parent-number] <commit>
+'git-revert' [--edit | --no-edit] [-n] [-m parent-number] [-s] <commit>
DESCRIPTION
-----------
This is useful when reverting more than one commits'
effect to your working tree in a row.
+-s|--signoff::
+ Add Signed-off-by line at the end of the commit message.
+
Author
------
</li>\r
<li>\r
<p>\r
-konqueror (this is the default under KDE)\r
+konqueror (this is the default under KDE, see <em>Note about konqueror</em> below)\r
</p>\r
</li>\r
<li>\r
variable exists then "git web--browse" will treat the specified tool\r
as a custom command and will use a shell eval to run the command with\r
the URLs passed as arguments.</p>\r
+</div>\r
+<h2>Note about konqueror</h2>\r
+<div class="sectionbody">\r
+<p>When <em>konqueror</em> is specified by the a command line option or a\r
+configuration variable, we launch <em>kfmclient</em> to try to open the HTML\r
+man page on an already opened konqueror in a new tab if possible.</p>\r
+<p>For consistency, we also try such a trick if <em>brower.konqueror.path</em> is\r
+set to something like <em>A_PATH_TO/konqueror</em>. That means we will try to\r
+launch <em>A_PATH_TO/kfmclient</em> instead.</p>\r
+<p>If you really want to use <em>konqueror</em>, then you can use something like\r
+the following:</p>\r
+<div class="listingblock">\r
+<div class="content">\r
+<pre><tt> [web]\r
+ browser = konq\r
+\r
+ [browser "konq"]\r
+ cmd = A_PATH_TO/konqueror</tt></pre>\r
+</div></div>\r
<h3>Note about git config --global</h3>\r
<p>Note that these configuration variables should probably be set using\r
the <em>--global</em> flag, for example like this:</p>\r
</div>\r
<div id="footer">\r
<div id="footer-text">\r
-Last updated 14-Mar-2008 08:58:16 UTC\r
+Last updated 09-May-2008 05:45:39 UTC\r
</div>\r
</div>\r
</body>\r
* firefox (this is the default under X Window when not using KDE)
* iceweasel
-* konqueror (this is the default under KDE)
+* konqueror (this is the default under KDE, see 'Note about konqueror' below)
* w3m (this is the default outside graphical environments)
* links
* lynx
as a custom command and will use a shell eval to run the command with
the URLs passed as arguments.
+Note about konqueror
+--------------------
+
+When 'konqueror' is specified by the a command line option or a
+configuration variable, we launch 'kfmclient' to try to open the HTML
+man page on an already opened konqueror in a new tab if possible.
+
+For consistency, we also try such a trick if 'brower.konqueror.path' is
+set to something like 'A_PATH_TO/konqueror'. That means we will try to
+launch 'A_PATH_TO/kfmclient' instead.
+
+If you really want to use 'konqueror', then you can use something like
+the following:
+
+------------------------------------------------
+ [web]
+ browser = konq
+
+ [browser "konq"]
+ cmd = A_PATH_TO/konqueror
+------------------------------------------------
+
Note about git config --global
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
--- /dev/null
+merge.stat::
+ Whether to print the diffstat berween ORIG_HEAD and merge result
+ at the end of the merge. True by default.
+
+merge.log::
+ Whether to include summaries of merged commits in newly created
+ merge commit messages. False by default.
+
+merge.tool::
+ Controls which merge resolution program is used by
+ linkgit:git-mergetool[1]. Valid built-in values are: "kdiff3",
+ "tkdiff", "meld", "xxdiff", "emerge", "vimdiff", "gvimdiff", and
+ "opendiff". Any other value is treated is custom merge tool
+ and there must be a corresponing mergetool.<tool>.cmd option.
+
+merge.verbosity::
+ Controls the amount of output shown by the recursive merge
+ strategy. Level 0 outputs nothing except a final error
+ message if conflicts were detected. Level 1 outputs only
+ conflicts, 2 outputs conflicts and file changes. Level 5 and
+ above outputs debugging information. The default is level 2.
+ Can be overridden by 'GIT_MERGE_VERBOSITY' environment variable.
+
+merge.<driver>.name::
+ Defines a human readable name for a custom low-level
+ merge driver. See linkgit:gitattributes[5] for details.
+
+merge.<driver>.driver::
+ Defines the command that implements a custom low-level
+ merge driver. See linkgit:gitattributes[5] for details.
+
+merge.<driver>.recursive::
+ Names a low-level merge driver to be used when
+ performing an internal merge between common ancestors.
+ See linkgit:gitattributes[5] for details.
---summary::
+--stat::
Show a diffstat at the end of the merge. The diffstat is also
- controlled by the configuration option merge.diffstat.
+ controlled by the configuration option merge.stat.
--n, \--no-summary::
+-n, \--no-stat::
Do not show diffstat at the end of the merge.
+--summary, \--no-summary::
+ Synonyms to --stat and --no-stat; these are deprecated and will be
+ removed in the future.
+
+--log::
+ In addition to branch names, populate the log message with
+ one-line descriptions from the actual commits that are being
+ merged.
+
+--no-log::
+ Do not list one-line descriptions from the actual commits being
+ merged.
+
--no-commit::
Perform the merge but pretend the merge failed and do
not autocommit, to give the user a chance to inspect and